<div class="flex flex-col">
    <div class="titulo-pantalla">
        <h1>
            {{'GU-CU1.titulo' | translate}}
        </h1>
    </div>
    <emeth-gen-card [titulo]="'GU-CU1.tabla.titulo' | translate" class="mx-4 my-4">
        <emeth-wrapper-table [emethColumnsDef]="usuariosColumnsDef" [dataSource]="usuariosDataSource">
            <ng-container matColumnDef="acciones">
                <mat-header-cell *matHeaderCellDef class="justify-center" style="flex: 0.3;">
                    {{ 'etiquetas.acciones' | translate }}
                </mat-header-cell>
                <mat-cell *matCellDef="let element" class="justify-center" style="flex: 0.3;">
                    <button [matTooltip]="'Editar'" color="primary" mat-icon-button>
                        <mat-icon>edit</mat-icon>
                    </button>
                    <button [matTooltip]="'Consultar'" color="primary" mat-icon-button>
                        <mat-icon>visibility</mat-icon>
                    </button>
                    <button [matTooltip]="'Eliminar'" color="primary" mat-icon-button>
                        <mat-icon>delete</mat-icon>
                    </button>
                </mat-cell>
            </ng-container>
        </emeth-wrapper-table>
    </emeth-gen-card>

    <div class="flex flex-row justify-center gap-4">
        <button class="boton-accion" color="primary" mat-flat-button>
            {{ 'etiquetas.registrar' | translate }}
        </button>
        <button (click)="irInicio()" class="boton-accion" color="accent" mat-flat-button>
            {{ 'etiquetas.regresar' | translate }}
        </button>
    </div>
    <div class="mb-4">
        <emeth-actions-card>
            <emeth-action-item matIcon="edit" left>
                Editar
            </emeth-action-item>
            <emeth-action-item matIcon="visibility"  left>
                Consultar
            </emeth-action-item>
            <emeth-action-item matIcon="delete" left>
                Eliminar
            </emeth-action-item>
        </emeth-actions-card>
    </div>

</div>
